masqmail-0.2

view config.status.lineno @ 4:2c09cca4cab9

removed references to distribution directories
author meillo@marmaro.de
date Fri, 26 Sep 2008 21:51:05 +0200
parents 8c55886cacd8
children
line source
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
29 fi
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53 fi
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
60 fi
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
84 ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94 fi
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109 do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
123 fi
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
129 fi
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=157
158 as_lineno_2=158
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with 162
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using 164; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing 166, and appends
167 # trailing '-' during substitution so that 167 is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197 }
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
204 fi
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213 *)
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
222 fi
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253 fi
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275 fi
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by masqmail $as_me 0.2.21, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
303 # Files that config.status was made for.
304 config_files=" Makefile tests/Makefile src/Makefile src/base64/Makefile src/md5/Makefile src/libident/Makefile"
305 config_headers=" config.h"
306 config_commands=" depfiles"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 masqmail config.status 0.2.21
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=\${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu'\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21'
345 srcdir='.'
346 INSTALL='/usr/bin/install -c'
347 # If no file are specified by the user, then we need to provide default
348 # value. By we need to know if files were specified by the user.
349 ac_need_defaults=:
350 while test $# != 0
351 do
352 case $1 in
353 --*=*)
354 ac_option=`expr "X$1" : 'X\([^=]*\)='`
355 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356 ac_shift=:
357 ;;
358 *)
359 ac_option=$1
360 ac_optarg=$2
361 ac_shift=shift
362 ;;
363 esac
365 case $ac_option in
366 # Handling of the options.
367 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368 ac_cs_recheck=: ;;
369 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370 echo "$ac_cs_version"; exit ;;
371 --debug | --debu | --deb | --de | --d | -d )
372 debug=: ;;
373 --file | --fil | --fi | --f )
374 $ac_shift
375 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376 ac_need_defaults=false;;
377 --header | --heade | --head | --hea )
378 $ac_shift
379 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380 ac_need_defaults=false;;
381 --he | --h)
382 # Conflict between --help and --header
383 { echo "$as_me: error: ambiguous option: $1
384 Try \`$0 --help' for more information." >&2
385 { (exit 1); exit 1; }; };;
386 --help | --hel | -h )
387 echo "$ac_cs_usage"; exit ;;
388 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389 | -silent | --silent | --silen | --sile | --sil | --si | --s)
390 ac_cs_silent=: ;;
392 # This is an error.
393 -*) { echo "$as_me: error: unrecognized option: $1
394 Try \`$0 --help' for more information." >&2
395 { (exit 1); exit 1; }; } ;;
397 *) ac_config_targets="$ac_config_targets $1"
398 ac_need_defaults=false ;;
400 esac
401 shift
402 done
404 ac_configure_extra_args=
406 if $ac_cs_silent; then
407 exec 6>/dev/null
408 ac_configure_extra_args="$ac_configure_extra_args --silent"
409 fi
411 if $ac_cs_recheck; then
412 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6
413 CONFIG_SHELL=/bin/sh
414 export CONFIG_SHELL
415 exec /bin/sh "./configure" '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args --no-create --no-recursion
416 fi
418 exec 5>>config.log
419 {
420 echo
421 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422 ## Running $as_me. ##
423 _ASBOX
424 echo "$ac_log"
425 } >&5
427 #
428 # INIT-COMMANDS
429 #
430 AMDEP_TRUE="" ac_aux_dir="."
433 # Handling of arguments.
434 for ac_config_target in $ac_config_targets
435 do
436 case $ac_config_target in
437 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
438 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440 "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
441 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
442 "src/base64/Makefile") CONFIG_FILES="$CONFIG_FILES src/base64/Makefile" ;;
443 "src/md5/Makefile") CONFIG_FILES="$CONFIG_FILES src/md5/Makefile" ;;
444 "src/libident/Makefile") CONFIG_FILES="$CONFIG_FILES src/libident/Makefile" ;;
446 *) { { echo "$as_me:452: error: invalid argument: $ac_config_target" >&5
447 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
448 { (exit 1); exit 1; }; };;
449 esac
450 done
453 # If the user did not use the arguments to specify the items to instantiate,
454 # then the envvar interface is used. Set only those that are not.
455 # We use the long form for the default assignment because of an extremely
456 # bizarre bug on SunOS 4.1.3.
457 if $ac_need_defaults; then
458 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
459 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
460 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
461 fi
463 # Have a temporary directory for convenience. Make it in the build tree
464 # simply because there is no reason against having it here, and in addition,
465 # creating and moving files from /tmp can sometimes cause problems.
466 # Hook for its removal unless debugging.
467 # Note that there is a small window in which the directory will not be cleaned:
468 # after its creation but before its name has been assigned to `$tmp'.
469 $debug ||
470 {
471 tmp=
472 trap 'exit_status=$?
473 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
474 ' 0
475 trap '{ (exit 1); exit 1; }' 1 2 13 15
476 }
477 # Create a (secure) tmp directory for tmp files.
479 {
480 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
481 test -n "$tmp" && test -d "$tmp"
482 } ||
483 {
484 tmp=./conf$$-$RANDOM
485 (umask 077 && mkdir "$tmp")
486 } ||
487 {
488 echo "$me: cannot create a temporary directory in ." >&2
489 { (exit 1); exit 1; }
490 }
492 #
493 # Set up the sed scripts for CONFIG_FILES section.
494 #
496 # No need to generate the scripts if there are no CONFIG_FILES.
497 # This happens for instance when ./config.status config.h
498 if test -n "$CONFIG_FILES"; then
500 cat >"$tmp/subs-1.sed" <<\CEOF
501 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
502 s,@SHELL@,|#_!!_#|/bin/sh,g
503 s,@PATH_SEPARATOR@,|#_!!_#|:,g
504 s,@PACKAGE_NAME@,|#_!!_#|masqmail,g
505 s,@PACKAGE_TARNAME@,|#_!!_#|masqmail,g
506 s,@PACKAGE_VERSION@,|#_!!_#|0.2.21,g
507 s,@PACKAGE_STRING@,|#_!!_#|masqmail 0.2.21,g
508 s,@PACKAGE_BUGREPORT@,|#_!!_#|oku@|#_!!_#|debian.org,g
509 s,@exec_prefix@,|#_!!_#|${prefix},g
510 s,@prefix@,|#_!!_#|/usr,g
511 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
512 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
513 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
514 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
515 s,@datarootdir@,|#_!!_#|${prefix}/share,g
516 s,@datadir@,|#_!!_#|${datarootdir},g
517 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
518 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
519 s,@localstatedir@,|#_!!_#|${prefix}/var,g
520 s,@includedir@,|#_!!_#|${prefix}/include,g
521 s,@oldincludedir@,|#_!!_#|/usr/include,g
522 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
523 s,@infodir@,|#_!!_#|${datarootdir}/info,g
524 s,@htmldir@,|#_!!_#|${docdir},g
525 s,@dvidir@,|#_!!_#|${docdir},g
526 s,@pdfdir@,|#_!!_#|${docdir},g
527 s,@psdir@,|#_!!_#|${docdir},g
528 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
529 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
530 s,@mandir@,|#_!!_#|${prefix}/share/man,g
531 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
532 s,@ECHO_C@,|#_!!_#|,g
533 s,@ECHO_N@,|#_!!_#|-n,g
534 s,@ECHO_T@,|#_!!_#|,g
535 s,@LIBS@,|#_!!_#|,g
536 s,@build_alias@,|#_!!_#|i486-linux-gnu,g
537 s,@host_alias@,|#_!!_#|,g
538 s,@target_alias@,|#_!!_#|,g
539 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
540 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
541 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
542 s,@CYGPATH_W@,|#_!!_#|echo,g
543 s,@PACKAGE@,|#_!!_#|masqmail,g
544 s,@VERSION@,|#_!!_#|0.2.21,g
545 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run aclocal-1.7,g
546 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoconf,g
547 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run automake-1.7,g
548 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoheader,g
549 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run makeinfo,g
550 s,@AMTAR@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run tar,g
551 s,@install_sh@,|#_!!_#|/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/install-sh,g
552 s,@STRIP@,|#_!!_#|,g
553 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
554 s,@AWK@,|#_!!_#|gawk,g
555 s,@SET_MAKE@,|#_!!_#|,g
556 s,@am__leading_dot@,|#_!!_#|.,g
557 s,@CC@,|#_!!_#|gcc,g
558 s,@CFLAGS@,|#_!!_#|-g -O2,g
559 s,@LDFLAGS@,|#_!!_#|,g
560 s,@CPPFLAGS@,|#_!!_#|,g
561 s,@ac_ct_CC@,|#_!!_#|gcc,g
562 s,@EXEEXT@,|#_!!_#|,g
563 s,@OBJEXT@,|#_!!_#|o,g
564 s,@DEPDIR@,|#_!!_#|.deps,g
565 s,@am__include@,|#_!!_#|include,g
566 s,@am__quote@,|#_!!_#|,g
567 s,@AMDEP_TRUE@,|#_!!_#|,g
568 s,@AMDEP_FALSE@,|#_!!_#|#,g
569 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
570 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
571 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
572 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
573 s,@CPP@,|#_!!_#|gcc -E,g
574 s,@GREP@,|#_!!_#|/bin/grep,g
575 s,@EGREP@,|#_!!_#|/bin/grep -E,g
576 s,@RANLIB@,|#_!!_#|ranlib,g
577 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
578 s,@GLIB_CFLAGS@,|#_!!_#|-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,g
579 s,@GLIB_LIBS@,|#_!!_#|-lglib-2.0 ,g
580 s,@RESOLV_LIBS@,|#_!!_#|-lresolv,g
581 s,@with_user@,|#_!!_#|mail,g
582 s,@with_group@,|#_!!_#|mail,g
583 s,@BASE64_LIBS@,|#_!!_#|base64/libbase64.a,g
584 s,@MD5_LIBS@,|#_!!_#|md5/libmd5c.a,g
585 s,@has_ident@,|#_!!_#|,g
586 s,@IDENT_LIBS@,|#_!!_#|-lident,g
587 s,@LOCKFILE_LIBS@,|#_!!_#|-llockfile,g
588 s,@USE_LIBLOCKFILE@,|#_!!_#|,g
589 s,@with_logdir@,|#_!!_#|/var/log/masqmail,g
590 s,@with_spooldir@,|#_!!_#|/var/spool/masqmail,g
591 s,@with_confdir@,|#_!!_#|/etc/masqmail,g
592 s,@LIBOBJS@,|#_!!_#|,g
593 s,@LTLIBOBJS@,|#_!!_#|,g
594 :end
595 s/|#_!!_#|//g
596 CEOF
597 fi # test -n "$CONFIG_FILES"
600 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
601 do
602 case $ac_tag in
603 :[FHLC]) ac_mode=$ac_tag; continue;;
604 esac
605 case $ac_mode$ac_tag in
606 :[FHL]*:*);;
607 :L* | :C*:*) { { echo "$as_me:613: error: Invalid tag $ac_tag." >&5
608 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
609 { (exit 1); exit 1; }; };;
610 :[FH]-) ac_tag=-:-;;
611 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
612 esac
613 ac_save_IFS=$IFS
614 IFS=:
615 set x $ac_tag
616 IFS=$ac_save_IFS
617 shift
618 ac_file=$1
619 shift
621 case $ac_mode in
622 :L) ac_source=$1;;
623 :[FH])
624 ac_file_inputs=
625 for ac_f
626 do
627 case $ac_f in
628 -) ac_f="$tmp/stdin";;
629 *) # Look for the file first in the build tree, then in the source tree
630 # (if the path is not absolute). The absolute path cannot be DOS-style,
631 # because $ac_f cannot contain `:'.
632 test -f "$ac_f" ||
633 case $ac_f in
634 [\\/$]*) false;;
635 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
636 esac ||
637 { { echo "$as_me:643: error: cannot find input file: $ac_f" >&5
638 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
639 { (exit 1); exit 1; }; };;
640 esac
641 ac_file_inputs="$ac_file_inputs $ac_f"
642 done
644 # Let's still pretend it is `configure' which instantiates (i.e., don't
645 # use $as_me), people would be surprised to read:
646 # /* config.h. Generated by config.status. */
647 configure_input="Generated from "`IFS=:
648 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
649 if test x"$ac_file" != x-; then
650 configure_input="$ac_file. $configure_input"
651 { echo "$as_me:657: creating $ac_file" >&5
652 echo "$as_me: creating $ac_file" >&6;}
653 fi
655 case $ac_tag in
656 *:-:* | *:-) cat >"$tmp/stdin";;
657 esac
658 ;;
659 esac
661 ac_dir=`$as_dirname -- "$ac_file" ||
662 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
663 X"$ac_file" : 'X\(//\)[^/]' \| \
664 X"$ac_file" : 'X\(//\)$' \| \
665 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
666 echo X"$ac_file" |
667 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
668 s//\1/
669 q
670 }
671 /^X\(\/\/\)[^/].*/{
672 s//\1/
673 q
674 }
675 /^X\(\/\/\)$/{
676 s//\1/
677 q
678 }
679 /^X\(\/\).*/{
680 s//\1/
681 q
682 }
683 s/.*/./; q'`
684 { as_dir="$ac_dir"
685 case $as_dir in #(
686 -*) as_dir=./$as_dir;;
687 esac
688 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
689 as_dirs=
690 while :; do
691 case $as_dir in #(
692 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
693 *) as_qdir=$as_dir;;
694 esac
695 as_dirs="'$as_qdir' $as_dirs"
696 as_dir=`$as_dirname -- "$as_dir" ||
697 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
698 X"$as_dir" : 'X\(//\)[^/]' \| \
699 X"$as_dir" : 'X\(//\)$' \| \
700 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
701 echo X"$as_dir" |
702 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
703 s//\1/
704 q
705 }
706 /^X\(\/\/\)[^/].*/{
707 s//\1/
708 q
709 }
710 /^X\(\/\/\)$/{
711 s//\1/
712 q
713 }
714 /^X\(\/\).*/{
715 s//\1/
716 q
717 }
718 s/.*/./; q'`
719 test -d "$as_dir" && break
720 done
721 test -z "$as_dirs" || eval "mkdir $as_dirs"
722 } || test -d "$as_dir" || { { echo "$as_me:728: error: cannot create directory $as_dir" >&5
723 echo "$as_me: error: cannot create directory $as_dir" >&2;}
724 { (exit 1); exit 1; }; }; }
725 ac_builddir=.
727 case "$ac_dir" in
728 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
729 *)
730 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
731 # A ".." for each directory in $ac_dir_suffix.
732 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
733 case $ac_top_builddir_sub in
734 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
735 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
736 esac ;;
737 esac
738 ac_abs_top_builddir=$ac_pwd
739 ac_abs_builddir=$ac_pwd$ac_dir_suffix
740 # for backward compatibility:
741 ac_top_builddir=$ac_top_build_prefix
743 case $srcdir in
744 .) # We are building in place.
745 ac_srcdir=.
746 ac_top_srcdir=$ac_top_builddir_sub
747 ac_abs_top_srcdir=$ac_pwd ;;
748 [\\/]* | ?:[\\/]* ) # Absolute name.
749 ac_srcdir=$srcdir$ac_dir_suffix;
750 ac_top_srcdir=$srcdir
751 ac_abs_top_srcdir=$srcdir ;;
752 *) # Relative name.
753 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
754 ac_top_srcdir=$ac_top_build_prefix$srcdir
755 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
756 esac
757 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
760 case $ac_mode in
761 :F)
762 #
763 # CONFIG_FILE
764 #
766 case $INSTALL in
767 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
768 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
769 esac
770 # If the template does not know about datarootdir, expand it.
771 # FIXME: This hack should be removed a few years after 2.60.
772 ac_datarootdir_hack=; ac_datarootdir_seen=
774 case `sed -n '/datarootdir/ {
775 p
776 q
777 }
778 /@datadir@/p
779 /@docdir@/p
780 /@infodir@/p
781 /@localedir@/p
782 /@mandir@/p
783 ' $ac_file_inputs` in
784 *datarootdir*) ac_datarootdir_seen=yes;;
785 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
786 { echo "$as_me:792: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
787 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
788 ac_datarootdir_hack='
789 s&@datadir@&${datarootdir}&g
790 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
791 s&@infodir@&${datarootdir}/info&g
792 s&@localedir@&${datarootdir}/locale&g
793 s&@mandir@&${prefix}/share/man&g
794 s&\${datarootdir}&${prefix}/share&g' ;;
795 esac
796 sed "/^[ ]*VPATH[ ]*=/{
797 s/:*\$(srcdir):*/:/
798 s/:*\${srcdir}:*/:/
799 s/:*@srcdir@:*/:/
800 s/^\([^=]*=[ ]*\):*/\1/
801 s/:*$//
802 s/^[^=]*=[ ]*$//
803 }
805 :t
806 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
807 s&@configure_input@&$configure_input&;t t
808 s&@top_builddir@&$ac_top_builddir_sub&;t t
809 s&@srcdir@&$ac_srcdir&;t t
810 s&@abs_srcdir@&$ac_abs_srcdir&;t t
811 s&@top_srcdir@&$ac_top_srcdir&;t t
812 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
813 s&@builddir@&$ac_builddir&;t t
814 s&@abs_builddir@&$ac_abs_builddir&;t t
815 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
816 s&@INSTALL@&$ac_INSTALL&;t t
817 $ac_datarootdir_hack
818 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
820 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
821 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
822 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
823 { echo "$as_me:829: WARNING: $ac_file contains a reference to the variable \`datarootdir'
824 which seems to be undefined. Please make sure it is defined." >&5
825 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
826 which seems to be undefined. Please make sure it is defined." >&2;}
828 rm -f "$tmp/stdin"
829 case $ac_file in
830 -) cat "$tmp/out"; rm -f "$tmp/out";;
831 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
832 esac
833 ;;
834 :H)
835 #
836 # CONFIG_HEADER
837 #
838 # First, check the format of the line:
839 cat >"$tmp/defines.sed" <<\CEOF
840 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
841 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
842 b
843 :def
844 s/$/ /
845 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "masqmail" ,
846 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "masqmail" ,
847 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.2.21" ,
848 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "masqmail 0.2.21" ,
849 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "oku@debian.org" ,
850 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "masqmail" ,
851 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.2.21" ,
852 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
853 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_RESOLVER\)[ (].*,\1define\2 1 ,
854 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETLINE\)[ (].*,\1define\2 1 ,
855 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FDATASYNC\)[ (].*,\1define\2 1 ,
856 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
857 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
858 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
859 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
860 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
861 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
862 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
863 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
864 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
865 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
866 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
867 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
868 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
869 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
870 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
871 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FNMATCH\)[ (].*,\1define\2 1 ,
872 s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
873 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
874 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VPRINTF\)[ (].*,\1define\2 1 ,
875 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
876 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKET\)[ (].*,\1define\2 1 ,
877 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
878 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
879 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_DEBUG\)[ (].*,\1define\2 1 ,
880 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_USER\)[ (].*,\1define\2 "mail" ,
881 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_GROUP\)[ (].*,\1define\2 "mail" ,
882 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_SMTP_SERVER\)[ (].*,\1define\2 1 ,
883 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_POP3\)[ (].*,\1define\2 1 ,
884 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_AUTH\)[ (].*,\1define\2 1 ,
885 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MAILDIR\)[ (].*,\1define\2 1 ,
886 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_IDENT\)[ (].*,\1define\2 1 ,
887 s,^\([ #]*\)[^ ]*\([ ]*USE_LIBLOCKFILE\)[ (].*,\1define\2 1 ,
888 s,^\([ #]*\)[^ ]*\([ ]*CONF_DIR\)[ (].*,\1define\2 "/etc/masqmail" ,
889 s,^\([ #]*\)[^ ]*\([ ]*DATA_DIR\)[ (].*,\1define\2 "${prefix}/share/masqmail" ,
890 s,^\([ #]*\)[^ ]*\([ ]*SBINDIR\)[ (].*,\1define\2 "/usr/sbin" ,
891 s/ $//
892 s,^[ #]*u.*,/* & */,
893 CEOF
894 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
895 ac_result="$tmp/out1"
896 if test x"$ac_file" != x-; then
897 echo "/* $configure_input */" >"$tmp/config.h"
898 cat "$ac_result" >>"$tmp/config.h"
899 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
900 { echo "$as_me:906: $ac_file is unchanged" >&5
901 echo "$as_me: $ac_file is unchanged" >&6;}
902 else
903 rm -f $ac_file
904 mv "$tmp/config.h" $ac_file
905 fi
906 else
907 echo "/* $configure_input */"
908 cat "$ac_result"
909 fi
910 rm -f "$tmp/out12"
911 # Compute $ac_file's index in $config_headers.
912 _am_stamp_count=1
913 for _am_header in $config_headers :; do
914 case $_am_header in
915 $ac_file | $ac_file:* )
916 break ;;
917 * )
918 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
919 esac
920 done
921 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
922 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
923 X$ac_file : 'X\(//\)[^/]' \| \
924 X$ac_file : 'X\(//\)$' \| \
925 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
926 echo X$ac_file |
927 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
928 s//\1/
929 q
930 }
931 /^X\(\/\/\)[^/].*/{
932 s//\1/
933 q
934 }
935 /^X\(\/\/\)$/{
936 s//\1/
937 q
938 }
939 /^X\(\/\).*/{
940 s//\1/
941 q
942 }
943 s/.*/./; q'`/stamp-h$_am_stamp_count
944 ;;
946 :C) { echo "$as_me:952: executing $ac_file commands" >&5
947 echo "$as_me: executing $ac_file commands" >&6;}
948 ;;
949 esac
952 case $ac_file$ac_mode in
953 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
954 # Strip MF so we end up with the name of the file.
955 mf=`echo "$mf" | sed -e 's/:.*$//'`
956 # Check whether this is an Automake generated Makefile or not.
957 # We used to match only the files named `Makefile.in', but
958 # some people rename them; so instead we look at the file content.
959 # Grep'ing the first line is not enough: some people post-process
960 # each Makefile.in and add a new line on top of each file to say so.
961 # So let's grep whole file.
962 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
963 dirpart=`$as_dirname -- "$mf" ||
964 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
965 X"$mf" : 'X\(//\)[^/]' \| \
966 X"$mf" : 'X\(//\)$' \| \
967 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
968 echo X"$mf" |
969 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
970 s//\1/
971 q
972 }
973 /^X\(\/\/\)[^/].*/{
974 s//\1/
975 q
976 }
977 /^X\(\/\/\)$/{
978 s//\1/
979 q
980 }
981 /^X\(\/\).*/{
982 s//\1/
983 q
984 }
985 s/.*/./; q'`
986 else
987 continue
988 fi
989 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
990 # Extract the definition of DEP_FILES from the Makefile without
991 # running `make'.
992 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
993 test -z "$DEPDIR" && continue
994 # When using ansi2knr, U may be empty or an underscore; expand it
995 U=`sed -n -e '/^U = / s///p' < "$mf"`
996 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
997 # We invoke sed twice because it is the simplest approach to
998 # changing $(DEPDIR) to its actual value in the expansion.
999 for file in `sed -n -e '
1000 /^DEP_FILES = .*\\\\$/ {
1001 s/^DEP_FILES = //
1002 :loop
1003 s/\\\\$//
1006 /\\\\$/ b loop
1009 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1010 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1011 # Make sure the directory exists.
1012 test -f "$dirpart/$file" && continue
1013 fdir=`$as_dirname -- "$file" ||
1014 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1015 X"$file" : 'X\(//\)[^/]' \| \
1016 X"$file" : 'X\(//\)$' \| \
1017 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1018 echo X"$file" |
1019 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1020 s//\1/
1023 /^X\(\/\/\)[^/].*/{
1024 s//\1/
1027 /^X\(\/\/\)$/{
1028 s//\1/
1031 /^X\(\/\).*/{
1032 s//\1/
1035 s/.*/./; q'`
1036 { as_dir=$dirpart/$fdir
1037 case $as_dir in #(
1038 -*) as_dir=./$as_dir;;
1039 esac
1040 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1041 as_dirs=
1042 while :; do
1043 case $as_dir in #(
1044 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1045 *) as_qdir=$as_dir;;
1046 esac
1047 as_dirs="'$as_qdir' $as_dirs"
1048 as_dir=`$as_dirname -- "$as_dir" ||
1049 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1050 X"$as_dir" : 'X\(//\)[^/]' \| \
1051 X"$as_dir" : 'X\(//\)$' \| \
1052 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1053 echo X"$as_dir" |
1054 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1055 s//\1/
1058 /^X\(\/\/\)[^/].*/{
1059 s//\1/
1062 /^X\(\/\/\)$/{
1063 s//\1/
1066 /^X\(\/\).*/{
1067 s//\1/
1070 s/.*/./; q'`
1071 test -d "$as_dir" && break
1072 done
1073 test -z "$as_dirs" || eval "mkdir $as_dirs"
1074 } || test -d "$as_dir" || { { echo "$as_me:1080: error: cannot create directory $as_dir" >&5
1075 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1076 { (exit 1); exit 1; }; }; }
1077 # echo "creating $dirpart/$file"
1078 echo '# dummy' > "$dirpart/$file"
1079 done
1080 done
1081 ;;
1083 esac
1084 done # for ac_tag
1087 { (exit 0); exit 0; }